<?php
namespace SM\Factory;

use Doctrine\ORM\EntityManager;
use SM\Traits\TQuery;

class Sm00029001TipoLocalAtendimentoFactory
{

    use TQuery;

    protected $connection;
    protected $entityManager;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
        $this->entityManager = $entityManager;
    }

    public function getTipoLocalAtendimento()
    {

        $sql = "SELECT NRTIPOESTRUTURA, NMTIPOESTRUTURA
                  FROM TIPOESTRUTURA
                 ORDER BY NMTIPOESTRUTURA";

        return $this->createAndExecuteQueryAndBuildResponseData($this->entityManager, $sql);
    }

    public function salvarTipoLocalAtendimento($parametros)
    {
        $sql = "INSERT INTO TIPOESTRUTURA (
                    NRTIPOESTRUTURA, NMTIPOESTRUTURA, NRORG,
                    DTINCLUSAO,         NRORGINCLUSAO,    CDOPERINCLUSAO, IDATIVO
                )
                VALUES (
                    :NRTIPOESTRUTURA, :NMTIPOESTRUTURA, :NRORG,
                    SYSDATE,             :NRORGINCLUSAO,    :CDOPERINCLUSAO, :IDATIVO
                )";
        
        $this->connection->executeStatement($sql, $parametros);
    }

    public function atualizarTipoLocalAtendimento($parametros)
    {
        $sql = "UPDATE TIPOESTRUTURA 
                   SET NMTIPOESTRUTURA = :NMTIPOESTRUTURA,
                       CDOPERULTATU = :CDOPERULTATU,
                       NRORGULTATU = :NRORGULTATU,
                       DTULTATU = SYSDATE
                 WHERE NRTIPOESTRUTURA = :NRTIPOESTRUTURA";
        
        $this->connection->executeStatement($sql, $parametros);
    }

    public function deletarTipoLocalAtendimento($parametros)
    {
        $sql = "DELETE FROM TIPOESTRUTURA WHERE NRTIPOESTRUTURA = :NRTIPOESTRUTURA ";
        $this->connection->executeStatement($sql, $parametros);
    }
}
