/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PROCESSO                                                 */
/* Tabela : PROCESSO                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 10/03/2004 - Raphael Freitas Pinheiro                                      */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_PROCESSO
BEFORE INSERT OR UPDATE OR DELETE
ON PROCESSO FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPROC := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDARVPROCESS,0) <> NVL(:NEW.CDARVPROCESS,0)) OR
         (NVL(:OLD.CDPROCESSO,0)   <> NVL(:NEW.CDPROCESSO,0))   OR
         (NVL(:OLD.NMPROCESSO,0)   <> NVL(:NEW.NMPROCESSO,0))   OR
         (NVL(:OLD.IDPROCORRES,0)   <> NVL(:NEW.IDPROCORRES,0)) OR         
         (NVL(:OLD.CDNVPROCESSO,0) <> NVL(:NEW.CDNVPROCESSO,0)) OR
         (NVL(:OLD.IDINCAUTPROC,0) <> NVL(:NEW.IDINCAUTPROC,0)) THEN
         :NEW.DTULTATUPROC := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PROCESSO', '', 'CDNVPROCESSO='||:OLD.CDNVPROCESSO||';CDARVPROCESS='||:OLD.CDARVPROCESS||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PROCESSO MODIFY DTULTATUPROC DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PROCESSO','4.05.143'); END;
/

