CREATE TABLE NOTAEXPLICATIVA ( 
   CDNOTAEXPLICAT VARCHAR2(03) NOT NULL,
   NMNOTAEXPLICAT VARCHAR2(50) NOT NULL,
   DSNOTAEXPLICAT VARCHAR2(4000) NOT NULL,
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_NOTAEXPLICATIVA CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSA VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1'
)
/

ALTER TABLE NOTAEXPLICATIVA ADD CONSTRAINT PK_NOTAEXPLICATIVA PRIMARY KEY(CDNOTAEXPLICAT)
/

CREATE TABLE DEMONSAUX(
   CDDEMO VARCHAR2(02) NOT NULL,
   NMDEMO VARCHAR2(50) NOT NULL,
   IDTIPO VARCHAR2(01) DEFAULT 'O' NOT NULL,
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_DEMONSAUX CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1'
)
/

ALTER TABLE DEMONSAUX ADD CONSTRAINT PK_DEMONSAUX PRIMARY KEY (CDDEMO)
/

ALTER TABLE DEMONSAUX ADD CONSTRAINT CKC_DEMONSAUX_IDTIPO CHECK (IDTIPO IN ('P', 'O'))
/
CREATE TABLE ITDEMONSAUX(
   CDDEMO VARCHAR2(02) NOT NULL,
   NRORDEM NUMBER NOT NULL,
   NMITDEMO VARCHAR2(100),
   IDTIPO VARCHAR2(01) DEFAULT 'S' NOT NULL,
   IDNEGRITO VARCHAR2(01) DEFAULT 'N' NOT NULL,
   IDDESTAQUE VARCHAR2(01) DEFAULT 'N' NOT NULL,
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_ITDEMONSAUX CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12) DEFAULT '1'
)
/

ALTER TABLE ITDEMONSAUX ADD CONSTRAINT PK_ITDEMONSAUX PRIMARY KEY (CDDEMO, NRORDEM)
/

ALTER TABLE ITDEMONSAUX ADD CONSTRAINT CKC_ITDEMONSAUX_IDTIPO CHECK (IDTIPO IN ('T', 'S'))
/

ALTER TABLE ITDEMONSAUX ADD CONSTRAINT CKC_ITDEMONSAUX_IDNEGRITO CHECK (IDNEGRITO IN ('N', 'S'))
/

ALTER TABLE ITDEMONSAUX ADD CONSTRAINT CKC_ITDEMONSAUX_IDDESTAQUE CHECK (IDDESTAQUE IN ('N', 'S'))
/

BEGIN
   DECLARE
      V_COUNT NUMBER;
   BEGIN
      V_COUNT := 0;
      BEGIN
         SELECT COUNT(*)
           INTO V_COUNT
           FROM DEMONSAUX
          WHERE CDDEMO = '01';
      EXCEPTION
         WHEN NO_DATA_FOUND THEN
            V_COUNT := 0;
      END;
      IF V_COUNT = 0 THEN
         INSERT INTO DEMONSAUX
            (CDDEMO, NMDEMO, IDTIPO)
         VALUES
            ('01', 'Demonstrativo de Fluxo de Caixa (DFC)', 'P');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 0, 'Fluxo de caixa das atividades operacionais', 'S', 'S', 'S');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 50, 'Lucro Liquido do exercicio', 'S', 'S', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 100, 'Ajustes para: ', 'T', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 200, '- Depreciacao', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 250, '- Amortizacao', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 300, '- (Reversao de) perdas por reducao ao valor recuperavel do ativo imobilizado', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 350, '- Perdas por reducao ao valor recuperavel de ativos intangiveis', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 400, '- Perdas por reducao ao valor recuperavel de ativos classificados como mantidos para venda', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 450, '- Mudancas no valor justo de ativos biologicos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 500, '- Mudancas no valor justo de propriedades para investimento', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 550, '- Despesa de provisao para devedores duvidosos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 600, '- Despesas financeiras liquidas', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 650, '- Resultado da equivalencia patrimonial, liquido de impostos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 700, '- Transacoes de pagamento baseados em acoes, liquidavel em acoes', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 750, '- Despesas de imposto de renda e contribuicao social', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 800, '- Outros', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 850, 'Variacoes em:', 'T', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 900, '- Estoques', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 950, '- Contas a receber e outras contas a receber', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1000, '- Pagamentos antecipados', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1050, '- Contas a pagar e outros', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1100, '- Provisoes e beneficios a empregados', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1150, '- Receita diferida', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1200, 'Caixa gerado pelas (utilizado nas) atividades operacionais', 'S', 'S', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1250, 'Juros pagos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1300, 'Impostos pagos sobre o lucro', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1350, 'Fluxo de caixa liquido proveniente das (utilizado nas) atividade operacionais', 'S', 'S', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1400, 'Fluxo de caixa das atividades de investimento', 'T', 'S', 'S');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1450, 'Juros recebidos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1550, 'Dividendos recebidos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1600, 'Recursos provenientes de alienacao de imobilizado', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1650, 'Recursos provenientes de alienacao de investimentos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1700, 'Alienacao de operacoes descontinuadas, liquido do caixa alienado junto com a operacao', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1750, 'Aquisicao de controlada, liquido do caixa adquirido no consolidado', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1800, 'Aquisicao de imobilizado', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1850, 'Aquisicao de propriedades para investimento', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1900, 'Aquisicao de ativos biologicos nao circulantes', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 1950, 'Aquisicao de outros investimentos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2000, 'Aquisicao de participacao de nao controladores', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2050, 'Dividendos de investidas avaliadas por equivalencia patrimonial', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2100, 'Gastos com desenvolvimento', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2150, 'Fluxo de caixa (utilizado nas) proveniente das atividades de investimento', 'S', 'S', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2200, 'Fluxo de caixa das atividades de financiamento', 'S', 'S', 'S');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2250, 'Recursos provenientes de aporte de capital de acionistas', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2300, 'Recursos provenientes da emissao de notas conversiveis', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2350, 'Recursos provenientes da emissao de acoes preferenciais resgataveis', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2400, 'Recursos provenientes de novos emprestimos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2450, 'Recursos provenientes da venda de acoes em tesouraria', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2500, 'Recursos provenientes do exercicio de opcoes de acoes', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2550, 'Recursos provenientes da liquidacao de derivativos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2600, 'Custos de transacao relacionados a emprestimos e financiamentos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2650, 'Aquisicao de participa~~ao de nao controladores', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2700, 'Recompra de acoes proprias', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2750, 'Pagamento de emprestimos e financiamentos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2800, 'Pagamento de passivos de arrendamento financeiro', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2850, 'Dividendos e juros sobre o capital proprio pagos', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 2900, 'Caixa liquido proveniente das (utilizado nas) atividade de financiamento', 'S', 'S', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 3000, 'Reducao liquida em caixa e equivalentes de caixa', 'S', 'S', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 3050, 'Caixa e equivalentes de caixa em 1o de janeiro', 'S', 'N', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 3100, 'Efeito da variacao cambial sobre o caixa e equivalentes de caixa', 'S', 'S', 'N');

         INSERT INTO ITDEMONSAUX
            (CDDEMO, NRORDEM, NMITDEMO, IDTIPO, IDNEGRITO, IDDESTAQUE)
         VALUES
            ('01', 3150, 'Caixa e equivalentes de caixa em 31 dezembro', 'S', 'S', 'N');
      END IF;
   END;
END;
/
CREATE TABLE CONTADEMONSAUX(
   CDEMPRESA VARCHAR2(02) NOT NULL,
   CDDEMO VARCHAR2(02) NOT NULL,
   NRORDEM NUMBER NOT NULL,
   DSANO VARCHAR2(04) NOT NULL,
   CDCONTCTBL VARCHAR2(20) NOT NULL,
   IDTIPOCONTA VARCHAR2(01) NOT NULL,
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_CONTADEMONSAUX CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12)	DEFAULT '1'
)
/

ALTER TABLE CONTADEMONSAUX ADD CONSTRAINT PK_CONTADEMONSAUX PRIMARY KEY (CDDEMO, NRORDEM, CDEMPRESA, DSANO, IDTIPOCONTA, CDCONTCTBL)
/

ALTER TABLE CONTADEMONSAUX ADD CONSTRAINT CKC_CONTADEMONSAUX_IDTIPOCONTA CHECK (IDTIPOCONTA IN ('A', 'F', 'L'))
/

CREATE INDEX CTB00304_FK ON CONTADEMONSAUX (CDCONTCTBL ASC)
/

ALTER TABLE CONTADEMONSAUX ADD CONSTRAINT FKCTB00304CONTCTBL FOREIGN KEY(CDCONTCTBL)
   REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX CTB00305_FK ON CONTADEMONSAUX (CDEMPRESA ASC)
/

ALTER TABLE CONTADEMONSAUX ADD CONSTRAINT FKCTB00305EMPRESA FOREIGN KEY (CDEMPRESA)
   REFERENCES EMPRESA (CDEMPRESA)
/

CREATE INDEX CTB00306_FK ON CONTADEMONSAUX (CDDEMO ASC, NRORDEM ASC)
/

ALTER TABLE CONTADEMONSAUX ADD CONSTRAINT FKCTB00306ITDEMONSAUX FOREIGN KEY (CDDEMO, NRORDEM)
   REFERENCES ITDEMONSAUX (CDDEMO, NRORDEM)
/
CREATE TABLE LANCDEMONSAUX(
   CDEMPRESA VARCHAR2(02) NOT NULL,
   CDDEMO VARCHAR2(02) NOT NULL,
   NRORDEM NUMBER NOT NULL,
   DSANO VARCHAR2(04) NOT NULL,
   CDCONTCTBL VARCHAR2(20) NOT NULL,
   IDTIPOCONTA VARCHAR2(01) NOT NULL,
   NRLANCCONT VARCHAR2(12) NOT NULL,
   IDTIPOPARTIDA VARCHAR2(01) NOT NULL,
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_LANCDEMONSAUX CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12)	DEFAULT '1'
)
/

ALTER TABLE LANCDEMONSAUX ADD CONSTRAINT PK_LANCDEMONSAUX PRIMARY KEY (CDDEMO, NRORDEM, CDEMPRESA, DSANO, IDTIPOCONTA, CDCONTCTBL, NRLANCCONT)
/

ALTER TABLE LANCDEMONSAUX ADD CONSTRAINT CKC_LANCDEMONSAUX_IDTIPOCONTA CHECK (IDTIPOCONTA IN ('A', 'F', 'L'))
/

ALTER TABLE LANCDEMONSAUX ADD CONSTRAINT FKCTB00307CONTCTBL FOREIGN KEY(CDCONTCTBL)
   REFERENCES CONTCTBL (CDCONTCTBL)
/

CREATE INDEX CTB00308_FK ON LANCDEMONSAUX (CDEMPRESA ASC)
/

ALTER TABLE LANCDEMONSAUX ADD CONSTRAINT FKCTB00308EMPRESA FOREIGN KEY (CDEMPRESA)
   REFERENCES EMPRESA (CDEMPRESA)
/

CREATE INDEX CTB00309_FK ON LANCDEMONSAUX (CDDEMO ASC, NRORDEM ASC)
/

ALTER TABLE LANCDEMONSAUX ADD CONSTRAINT FKCTB00309ITDEMONSAUX FOREIGN KEY (CDDEMO, NRORDEM)
   REFERENCES ITDEMONSAUX (CDDEMO, NRORDEM)
/

CREATE INDEX CTB00310_FK ON LANCDEMONSAUX (CDDEMO ASC, NRORDEM ASC, CDEMPRESA ASC, DSANO ASC, IDTIPOCONTA ASC, CDCONTCTBL ASC)
/

ALTER TABLE LANCDEMONSAUX ADD CONSTRAINT FKCTB00310CONTADEMONS FOREIGN KEY (CDDEMO, NRORDEM, CDEMPRESA, DSANO, IDTIPOCONTA, CDCONTCTBL)
   REFERENCES CONTADEMONSAUX (CDDEMO, NRORDEM, CDEMPRESA, DSANO, IDTIPOCONTA, CDCONTCTBL)
/
CREATE TABLE NOTAITDEMONSAUX(
   CDDEMO VARCHAR2(02) NOT NULL,
   NRORDEM NUMBER NOT NULL,
   CDNOTAEXPLICAT VARCHAR2 (03) NOT NULL,
   NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
	CONSTRAINT CKC_IDATIVO_NOTAITDEMONSAUX CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO DATE NULL,
   DTULTATU DATE NULL,
   NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
   CDOPERULTATU VARCHAR2(12)	DEFAULT '1'
)
/

ALTER TABLE NOTAITDEMONSAUX ADD CONSTRAINT PK_NOTAITDEMONSAUX PRIMARY KEY (CDDEMO, NRORDEM, CDNOTAEXPLICAT)
/

CREATE INDEX CTB00311_FK ON NOTAITDEMONSAUX (CDNOTAEXPLICAT ASC)
/

ALTER TABLE NOTAITDEMONSAUX ADD CONSTRAINT FKCTB00311NOTAEXPL FOREIGN KEY (CDNOTAEXPLICAT)
   REFERENCES NOTAEXPLICATIVA (CDNOTAEXPLICAT)
/

CREATE INDEX CTB00312_FK ON NOTAITDEMONSAUX (CDDEMO ASC, NRORDEM ASC)
/

ALTER TABLE NOTAITDEMONSAUX ADD CONSTRAINT FKCTB00312ITDEMONS FOREIGN KEY (CDDEMO, NRORDEM)
   REFERENCES ITDEMONSAUX (CDDEMO, NRORDEM)
/